com.hammurapi.common.concurrent

## Class NonBlockingExecutorService

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - com.hammurapi.common.concurrent.NonBlockingExecutorService

- All Implemented Interfaces:
    Executor, ExecutorService

      public class NonBlockingExecutorService
      extends AbstractExecutorService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NonBlockingExecutorService(ExecutorService master)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `awaitTermination(long timeout, TimeUnit unit)`
    `void` | `execute(Runnable command)`
    `boolean` | `isShutdown()`
    `boolean` | `isTerminated()`
    `protected <T> RunnableFuture<T>` | `newTaskFor(Callable<T> callable)`
    `protected <T> RunnableFuture<T>` | `newTaskFor(Runnable runnable, T value)`
    `void` | `shutdown()`
    `List<Runnable>` | `shutdownNow()`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NonBlockingExecutorService

          public NonBlockingExecutorService(ExecutorService master)

  - ### Method Detail

    - #### newTaskFor

          protected <T> RunnableFuture<T> newTaskFor(Callable<T> callable)

      Overrides:
        `newTaskFor` in class `AbstractExecutorService`

    - #### newTaskFor

          protected <T> RunnableFuture<T> newTaskFor(Runnable runnable,
                                         T value)

      Overrides:
        `newTaskFor` in class `AbstractExecutorService`

    - #### shutdown

          public void shutdown()

    - #### shutdownNow

          public List<Runnable> shutdownNow()

    - #### isShutdown

          public boolean isShutdown()

    - #### isTerminated

          public boolean isTerminated()

    - #### awaitTermination

          public boolean awaitTermination(long timeout,
                                 TimeUnit unit)
                                   throws InterruptedException

      Throws:
        `InterruptedException`

    - #### execute

          public void execute(Runnable command)